Uploaded image for project: 'Red Hat CodeReady Studio (devstudio)'
  1. Red Hat CodeReady Studio (devstudio)
  2. JBDS-4877

Reflect Java11 requirements into installer

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 12.17.0.AM1
    • Fix Version/s: 12.17.0.GA
    • Component/s: installer
    • Labels:
      None
    • Sprint:
      Sprint #190 Sep 2020
    • Story Points:
      1
    • Docs QE Status:
      NEW
    • [QE] How to address?:
      ---
    • [QE] Why QE missed?:
      ---

      Description

      The installer (tested on 12.17.0.AM1.B6900) does not force Java11 requirements:

      • it can run under a Java8 runtime which may cause issues at it spawns Eclipse to do P2 installation
      • it allow user to choose a Java8 JDK to run Studio

        Attachments

          Activity

            People

            Assignee:
            stephane.bouchet Stephane Bouchet
            Reporter:
            jmaury@redhat.com Jeff MAURY
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: